Kolme skeemaa
Jokainen skeema on lyhyt tekstinpätkä, jonka puhelin osaa antaa oikealle sovellukselle. mailto: avaa sähköpostisovelluksen, tel: avaa soittimen ja sms: avaa viestisovelluksen, vastaanottaja ja joskus viesti valmiiksi täytettynä.
Puhelinnumerot toimivat parhaiten kansainvälisessä muodossa plusmerkillä ja maakoodilla, kuten +15035550123, jotta koodi toimii muista maista tuleville vierailijoille.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (vanhempi käytäntö, yhä laajasti luettu)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (vanhempi sähköpostikäytäntö)
Viestitekstin koodaus
mailto- ja sms-linkkien aiheet ja viestitekstit täytyy koodata prosenttikoodauksella, joten välilyönnistä tulee %20 ja tekstin sisällä olevasta et-merkistä %26. Koodaamattomat merkit voivat katkaista viestin tai rikkoa linkin.
Alustat eivät ole aina jäsentäneet sms-body-parametria samalla tavalla, mikä on yksi syy siihen, miksi vanhempi SMSTO:-muoto on yhä yleinen QR-generaattoreissa. Testaus sekä iPhonella että Androidilla ennen painamista on luotettava tarkistus.
Mitä nämä koodit eivät voi tehdä
QR-koodi ei voi lähettää sähköpostia, tekstiviestiä tai soittaa puhelua itse. Se vain avaa sovelluksen kentät täytettyinä, ja skannaaja päättää, painaako hän lähetä- vai soita-painiketta.
Koska vastaanottaja näkyy ennen lähettämistä, ihmisten pitäisi tarkistaa, että se vastaa odotettua. Koodi, joka esitäyttää viestin lisämaksulliseen numeroon tai tuntemattomaan osoitteeseen, on varoitusmerkki.